<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE-edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Komputer Store</title>
    <link rel="stylesheet" href="styles.css" />
  </head>

  <!-- BODY -->
  <body>
    <!-- HEADER -->
    <header>
      <div class="header">
        <h1>Komputer Store</h1>
      </div>
    </header>

    <!-- CARDS -->
    <div class="row">
      <div class="column">
        <div class="card">
          <div class="container">
            <h2><b>Joe Banker</b></h2>
            <p id="balance">Balance: 0 Kr.</p>
            <p id="loan" style="visibility: hidden">Outstanding loan: 0 Kr.</p>
            <button
              id="getLoan"
              style="
                border-radius: 10px;
                background-color: rgb(91, 213, 91);
                font-size: 20px;
              "
            >
              Get a loan
            </button>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="card">
          <div class="container">
            <h2><b>Work</b></h2>
            <p id="salary">Salary: 0 Kr.</p>
            <p>
              <button
                id="payLoan"
                style="
                  visibility: hidden;
                  border-radius: 10px;
                  background-color: rgb(231, 133, 76);
                  font-size: 20px;
                "
              >
                Pay Loan
              </button>
            </p>
            <button
              id="bank"
              style="
                border-radius: 10px;
                background-color: rgb(234, 231, 31);
                font-size: 20px;
              "
            >
              Bank
            </button>
            <button
              id="work"
              style="
                border-radius: 10px;
                color: rgb(248, 248, 248);
                background-color: rgb(76, 99, 231);
                font-size: 20px;
              "
            >
              Work
            </button>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="card">
          <div class="container">
            <h2><b>Laptops</b></h2>
            <select name="computers" id="computers"></select>
            <h3><b>Features:</b></h3>
            <ul id="specs">
              Example feature
            </ul>
          </div>
        </div>
      </div>
    </div>

    <!-- INFO CARD (THE BIG ONE ON THE BOTTOM) -->
    <div class="infoCard">
      <div class="container">
        <div class="infoCard1">
          <img
            id="computerImage"
            src="https://noroff-komputer-store-api.herokuapp.com/"
            alt="PC1"
            style="float: left; max-width: 300px; max-height: 300px"
          />
        </div>
        <div class="infoCard2">
          <h2 id="computerName">Title</h2>
          <p id="description">**Description**</p>
        </div>
        <div class="infoCard3">
          <p id="price" style="font-weight: bold">**Price**</p>
          <button
            id="buy"
            style="
              border-radius: 10px;
              background-color: rgb(112, 203, 242);
              font-size: 20px;
            "
          >
            BUY NOW
          </button>
        </div>
      </div>
    </div>

    <!-- FOOTER -->
    <footer>
      <div class="footer">
        <h1>Thank you for visiting the komputer store!</h1>
      </div>
    </footer>

    <script src="app.js"></script>
  </body>
</html>
